Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class ArraySerializer

    java.lang.Object
      org.apache.axis.encoding.ser.ArraySerializer

All Implemented Interfaces:
  Serializable, Serializer, javax.xml.rpc.encoding.Serializer

public class ArraySerializer
extends Object
implements Serializer

An ArraySerializer handles serializing of arrays.

Some code borrowed from ApacheSOAP - thanks to Matt Duftler!

Author:
  Glen Daniels (gdaniels@macromedia.com)

  Multi-reference stuff:, Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`ArraySerializer()`

Method Summary
`void` | `addComponentTypeMapping(Class pomponentType, javax.xml.namespace.QName typeName)`
`String` | `getMechanismType()`
`void` | `serialize(javax.xml.namespace.QName name, Attributes attributes, Object value, SerializationContext context)` Serialize an element that is an array.
`Element` | `writeSchema(Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArraySerializer

    public ArraySerializer()

Method Detail

### serialize

    public void serialize(javax.xml.namespace.QName name,
                          Attributes attributes,
                          Object value,
                          SerializationContext context)
                   throws IOException

  Serialize an element that is an array.

  Specified by:
    `serialize` in interface `Serializer`
  Parameters:
    `name` - is the element name
    `attributes` - are the attributes...serialize is free to add more.
    `value` - is the value
    `context` - is the SerializationContext
  Throws:
    `IOException`

### getMechanismType

    public String getMechanismType()

  Specified by:
    `getMechanismType` in interface `javax.xml.rpc.encoding.Serializer`

### addComponentTypeMapping

    public void addComponentTypeMapping(Class pomponentType,
                                        javax.xml.namespace.QName typeName)

### writeSchema

    public Element writeSchema(Class javaType,
                               Types types)
                        throws Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `Exception`
  See Also:
    `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.